# SoundActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A SoundActuator is a special kind of a general actuator More...

`#include <soundactuator.h>`

Inherits: Actuator

## Public Members

- SoundActuator ()
- ~SoundActuator ()
- PyObject* setFilename (char* name)
- PyObject* getFilename ()

## Detailed Description

A SoundActuator is a special kind of a general actuator.

## PyObject* setFilename(char* name)

Filename of the sound file.

## PyObject* getFilename()

Get filename of the sound file.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc